Skip to content
Compare
Choose a tag to compare

v0.5.0

@lukeed lukeed released this
· 36 commits to master since this release
Compare
Choose a tag to compare

Features

  • Added Native ESM Support 馃帀 (#7, #68): 5ae6740
    Promoted the next-tagged release to stable. Thank you all who helped me test it 馃檱

    As mentioned in #7, maintaining legacy Node.js support was a high priority. Mission accomplished!
    With this release, uvu retains Node.js 8.x and 10.x support. 馃挭 Native support for ESM is detected before invoked, only attempting to import test files when it's supported.

    Check out the "esm.dual" example to find out how to run the same tests across varying Node versions.

Examples

  • Add "esm.mjs" example: 5ae6740
    Shows how to use Native ESM within .mjs files. (Node 12+ only)

  • Add "esm.loader" example: 5ae6740
    Demo with -r esm require hook for ESM polyfill

  • Add "esm.dual" example: 5ae6740
    Shows how to use run tests with Native ESM (Node 12+) without neglecting older Node.js runtimes.

Chores